Skip to content

PL/Java 1.5.8 announced

Compare
Choose a tag to compare
@jcflack jcflack released this 27 Sep 17:49
· 714 commits to master since this release

PL/Java brings functions, triggers, and types in Java. The 1.5 series supports legacy applications, with PostgreSQL support extending from 14 back to 8.2, and Java back to 8 (7 or 6 with some extra build effort). Its build system targets Java no later than 14, but once built, it can run on later versions.

For applications on PostgreSQL 9.5 or later and Java 9 or later, please consider the more actively developed PL/Java 1.6 series.

1.5.8 brings support for PostgreSQL 14, and fixes two bugs. It also begins preparation for the impact of changes to Java's permission enforcement coming in Java 17 and later with JEP 411.

For more on those upcoming changes in Java and how PL/Java will adapt, please read about JEP 411 on the PL/Java wiki.

Project site: http://tada.github.io/pljava/
Release notes: https://github.com/tada/pljava/blob/V1_5_8/src/site/markdown/releasenotes.md.vm

Availability:

1.5.8 is available from GitHub as a source release, which builds quickly using Maven:

Release page: https://github.com/tada/pljava/releases/tag/V1_5_8

This wiki page will add links to prebuilt packages that become available:
https://github.com/tada/pljava/wiki/Prebuilt-packages